Skip to main content

Get a rate templates by ID

GET 

/v1/rates/templates/:id

Retrieve a single rate templates by its ID

Request

Path Parameters

    id stringrequired

    Rate templates ID

Responses

Rate templates found successfully

Schema
    _id stringrequired

    The ID of the rate template

    name stringrequired

    The name of the rate template

    corporateId stringrequired

    The corporate ID

    isDefault booleanrequired

    Whether the rate template is the default rate template

    vehicleTypeRates object[]required

    The vehicle type rates

  • Array [
  • vehicleType string

    The vehicle type name

    vehicleTypeId string

    The vehicle type ID

    rates object[]

    The rates for the vehicle type

  • Array [
  • rateId stringrequired

    The rate ID

    zoneId string

    The operation zone ID

    rateType stringrequired

    Possible values: [Hourly, Regular, Flat, Sharing, Intercity]

    The type of rate

    rateActive boolean

    Default value: true

    Whether the rate is active for the vehicle type

  • ]
  • ]
  • isCorpCustomPricing booleanrequired

    Whether the rate template is corporate custom pricing

    latestUpdate date-timerequired

    The latest update date

Loading...